Architektura Okno

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Window and the translation is 21% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Reference.svg Reference

Arch Window.svg Arch Okno

Umístění Menu
Arch → Window
Pracovní stoly
Arch
Výchozí zástupce
W I
Představen ve verzi
-
Viz také
Arch Wall


Popis

Okno je základní objekt pro všechny druhy "vestavěných" objektů, jako jsou okna, dveře, atd... Je konstruované tak aby bylo buď nezávislé nebo "hostováno" uvnitř jiné komponenty jako je zeď. Má svoji vlastní konfiguraci, která může být vytvořena z několika komponent (např. rám okna) a také definuje objem, který bude ubrán z hostitelského objektu při vytvoření otvoru.

Okna jsou založena na uzavřených 2D objektech jako jsou Kreslení obdélníků nebo Náčrty, které jsou využity k definování jejich vnitřních komponent. Základní 2D objekt proto může obsahovat několik uzavřených lomených čar, které mohou být kombinovány tak aby utvořily vyplněné křídlo (jedna lomená čára) nebo rámy (několik lomených čar). Jestliže byl 2D objekt nakreslen na podpůrném objektu a je-li tento podpůrný objekt zeď, je okno automaticky včleněno do zdi.

The Window tool features several presets; this allows the user to create common types of windows and doors with certain editable parameters, without the need for the user to create the base 2D objects and components manually.

All information applicable to an Arch Window also applies to an Arch Door, as it's the same underlying object. The main difference between a Window and a Door is that the Door has an internal panel that is shown opaque (the door itself), while the Window has a panel that is partially transparent (the glass).

Arch Window example.jpg

Arch Window example.jpg

Arch Window example2.jpg

Complex window being constructed on top of a Sketch. When entering the window's edit mode you can create different components, set their thickness, and select and assign wires from the sketch to them.


Použití

Použití předvoleb

  1. Optionally, select an Arch object. If no object is selected, the window will be inserted in the object under the mouse when placing the window.
  2. Press the Arch Window.svg Arch Window button, or press W then I keys.
  3. Select one of the presets in the list.
  4. Fill out the desired parameters.
  5. Press the OK button.

Note: if you install the "Parts Library" from the AddonManager, the window tool will search this library for additional presets. These presets are FreeCAD files containing a single window based on a parametric sketch that has named constrains. You may place additional presets in the parts_library directory so that they are found by the window tool.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

The $ROOT_DIR is the user's directory where FreeCAD configuration, macros, and external workbenches are stored.

  • On Linux it is usually /home/username/.FreeCAD/
  • On Windows it is usually C:\Users\username\Application Data\FreeCAD\
  • On Mac OSX it is usually /Users/username/Library/Preferences/FreeCAD/

Creating from scratch

  1. Optionally, select a face on the Arch object where you want the window to be included.
  2. Switch to the Sketcher Workbench.
  3. Create a new sketch.
  4. Draw one or more closed wires.
  5. Close the sketch.
  6. Switch back to the Arch Workbench.
  7. Press the Arch Window.svg Arch Window button, or press W then I keys.
  8. Enter Edit mode by double-clicking the window in the tree view, to adjust the window components.

Presets

The following presets are available:

Konstrukce komponent

Okna mohou obsahovat 2 typy komponent: křídla a rámy. Křídla jsou vytvořena z jedné uzavřené lomené čáry, která se vysune, zatímco rámy jsou udělány ze 2 nebo více uzavřených lomených čar, z nichž každá je samostatně vysunuta, potom ty menší jsou odebrány z těch větších. Na komponenty okna můžete přistupovat, měnit a mazat je v editačním módu (dvojklikem na okno v pohledu stromu). Komponenty mají následující vlastnosti:

  • Jméno: Jméno komponenty
  • Typ: Typ komponenty. Může být "Frame" (Rám), "Glass panel" (Skleněný panel) nebo "Solid panel"(Pevný panel)
  • Dráty: Čárkami oddělený seznam drátů, na kterých je komponenta založena
  • Tloušťka: Tloušťka vysunutí komponenty
  • Odsazení: Vzdálenost mezi komponentou a její základovou 2D lomenou čárou(čárami)

Arch Window options.jpg

Volby

  • Můžete teké vytvořit uzavřený 2D profil (např. pomocí Kreslicí plochy nebo Náčrtové plochy), potom s tímto vybraným 2D profilem stisknete tlačítko Arch Window.png Okno.
  • Přidejte vybrané okno do zdi vybráním obou (zdi i okna), potom stisknutím tlačítka Arch Add.png Přidat.
  • Odebrání vybraného okna ze zdi vybráním okna a potom stisknutím tlačítka Arch Remove.png Odebrat.
  • Při využití předvoleb je často výhodné zapnout "Blízký" Kreslení Přichytit, takže můžete přichytit okno na existující plochu.

Openings

See also: Tutorial for open windows

Doors and windows can appear partially or fully open in the 3D model, or can display opening symbols both in plan and/or elevation. Consequently, these will also appear in extracted 2D views generated by Draft Shape2DView or TechDraw Workbench or Drawing Workbench. To obtain this, at least one of the window components must have a hinge and an opening mode defined (see the Building components above). Then, using the DATAOpening, DATASymbol Plan or DATASymbol Elevation properties, you can configure the appearance of the window:

Arch window openings.png

A door showing the symbol plan, symbol elevation and opening properties at work


Vlastnosti

  • DATAČásti okna: Seznam textových řetězců (5 řetězců na každou komponentu, nastavuje vlastnosti komponent jak jsou uvedeny výše)

Skriptování

Nástroj Okno může být využit v makrech a z konzoly Pythonu použitím následující funkce:

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
vytvoří okno založené na zadaném objektu

Příklad:

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

You can also create a Window from a preset.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)

Arch Window example2.jpg

Example:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)